Bug 814053 - glib-compile-schemas warning: Schema ... Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
glib-compile-schemas warning: Schema ... Paths starting with '/apps/', '/desk...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 02:48 EDT by Arne Woerner
Modified: 2012-04-28 21:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 13:29:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glib-compile-schemas output (3.13 KB, text/plain)
2012-04-19 02:48 EDT, Arne Woerner
no flags Details

  None (edit)
Description Arne Woerner 2012-04-19 02:48:40 EDT
Created attachment 578518 [details]
glib-compile-schemas output

Description of problem:
During yum update i c a lot of weird warnings about deprecated paths...

Version-Release number of selected component (if applicable):
glib2-2.32.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. as root: glib-compile-schemas /usr/share/glib-2.0/schemas
  
Actual results:
a lot of warnings (c attachment)

Expected results:
no output

Additional info:
Comment 1 Mads Kiilerich 2012-04-19 07:26:59 EDT
For reference: This is warnings like
warning: Schema 'org.freedesktop.Telepathy.Logger' has path '/apps/telepathy-logger/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.

These warnings show up when rpm packages are updated. That is ugly and might hide more important problems.

FWIW, https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/983086 :
  * Add revert_schema_path_warning.patch: Revert
    http://git.gnome.org/browse/glib/commit/?id=6560b3. Final freeze is not
    the time to start fixing the gsettings paths of all packages. This avoids
    tons of spewage from the gsettings trigger during package installation.
Comment 2 Matthias Clasen 2012-04-19 13:29:42 EDT
Not a glib problem; you need to file bugs against the packages which fail to quiet their post scriptlets
Comment 3 Kalev Lember 2012-04-25 00:53:10 EDT
I've fixed the scriptlets in a number of packages:
https://admin.fedoraproject.org/updates/FEDORA-2012-6591
Comment 4 Fedora Update System 2012-04-25 00:57:18 EDT
at-spi2-atk-2.4.0-2.fc17, baobab-3.4.1-2.fc17, eog-3.4.1-2.fc17, evince-3.4.0-2.fc17, evolution-3.4.1-2.fc17, evolution-data-server-3.4.1-2.fc17, file-roller-3.4.1-2.fc17, gcr-3.4.1-2.fc17, gedit-3.4.1-2.fc17, gedit-plugins-3.4.0-2.fc17, gitg-0.2.5-3.fc17, gnome-bluetooth-3.4.0-2.fc17, gnome-contacts-3.4.0-2.fc17, gnome-dictionary-3.4.0-2.fc17, gnome-games-3.4.1-2.fc17, gnome-keyring-3.4.1-2.fc17, gnome-panel-3.4.1-2.fc17, gnome-screenshot-3.4.1-2.fc17, gnome-session-3.4.1-2.fc17, gnome-system-log-3.4.1-2.fc17, gnome-system-monitor-3.4.1-2.fc17, gtranslator-2.91.3-3.fc17, gucharmap-3.4.1.1-2.fc17, gvfs-1.12.1-3.fc17, ibus-1.4.99.20120317-4.fc17, libcryptui-3.4.1-2.fc17, mousetweaks-3.4.1-2.fc17, nautilus-3.4.1-2.fc17, nautilus-sendto-3.0.2-2.fc17, rhythmbox-2.96-3.fc17, telepathy-logger-0.4.0-2.fc17, vinagre-3.4.1-2.fc17, vino-3.4.1-2.fc17, yelp-3.4.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-6591/at-spi2-atk-2.4.0-2.fc17,baobab-3.4.1-2.fc17,eog-3.4.1-2.fc17,evince-3.4.0-2.fc17,evolution-3.4.1-2.fc17,evolution-data-server-3.4.1-2.fc17,file-roller-3.4.1-2.fc17,gcr-3.4.1-2.fc17,gedit-3.4.1-2.fc17,gedit-plugins-3.4.0-2.fc17,gitg-0.2.5-3.fc17,gnome-bluetooth-3.4.0-2.fc17,gnome-contacts-3.4.0-2.fc17,gnome-dictionary-3.4.0-2.fc17,gnome-games-3.4.1-2.fc17,gnome-keyring-3.4.1-2.fc17,gnome-panel-3.4.1-2.fc17,gnome-screenshot-3.4.1-2.fc17,gnome-session-3.4.1-2.fc17,gnome-system-log-3.4.1-2.fc17,gnome-system-monitor-3.4.1-2.fc17,gtranslator-2.91.3-3.fc17,gucharmap-3.4.1.1-2.fc17,gvfs-1.12.1-3.fc17,ibus-1.4.99.20120317-4.fc17,libcryptui-3.4.1-2.fc17,mousetweaks-3.4.1-2.fc17,nautilus-3.4.1-2.fc17,nautilus-sendto-3.0.2-2.fc17,rhythmbox-2.96-3.fc17,telepathy-logger-0.4.0-2.fc17,vinagre-3.4.1-2.fc17,vino-3.4.1-2.fc17,yelp-3.4.1-2.fc17
Comment 5 Fedora Update System 2012-04-28 21:00:22 EDT
at-spi2-atk-2.4.0-2.fc17, baobab-3.4.1-2.fc17, eog-3.4.1-2.fc17, evince-3.4.0-2.fc17, evolution-3.4.1-2.fc17, evolution-data-server-3.4.1-2.fc17, file-roller-3.4.1-2.fc17, gcr-3.4.1-2.fc17, gedit-3.4.1-2.fc17, gedit-plugins-3.4.0-2.fc17, gitg-0.2.5-3.fc17, gnome-bluetooth-3.4.0-2.fc17, gnome-contacts-3.4.0-2.fc17, gnome-dictionary-3.4.0-2.fc17, gnome-games-3.4.1-2.fc17, gnome-keyring-3.4.1-2.fc17, gnome-panel-3.4.1-2.fc17, gnome-screenshot-3.4.1-2.fc17, gnome-session-3.4.1-2.fc17, gnome-system-log-3.4.1-2.fc17, gnome-system-monitor-3.4.1-2.fc17, gtranslator-2.91.3-3.fc17, gucharmap-3.4.1.1-2.fc17, gvfs-1.12.1-3.fc17, ibus-1.4.99.20120317-4.fc17, libcryptui-3.4.1-2.fc17, mousetweaks-3.4.1-2.fc17, nautilus-3.4.1-2.fc17, nautilus-sendto-3.0.2-2.fc17, rhythmbox-2.96-3.fc17, telepathy-logger-0.4.0-2.fc17, vinagre-3.4.1-2.fc17, vino-3.4.1-2.fc17, yelp-3.4.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.